Bug 429044 - Review Request: perl-Parallel-ForkManager - Simple parallel processing fork manager
Summary: Review Request: perl-Parallel-ForkManager - Simple parallel processing fork m...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-16 23:11 UTC by Jason Tibbitts
Modified: 2008-01-22 15:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-01-18 19:31:10 UTC
panemade: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Jason Tibbitts 2008-01-16 23:11:00 UTC
Spec URL:
http://www.math.uh.edu/~tibbs/rpms/perl-Parallel-ForkManager/perl-Parallel-ForkManager.spec

SRPM URL:
http://www.math.uh.edu/~tibbs/rpms/perl-Parallel-ForkManager/perl-Parallel-ForkManager-0.7.5-1.fc9.src.rpm

Description:
This module is intended for use in operations that can be done in parallel
where the number of processes to be forked off should be limited. Typical
use is a downloader which will be retrieving hundreds/thousands of files.

Builds OK for me in mock on rawhide and rpmlint finds nothing to complain about.

Comment 1 Parag AN(पराग) 2008-01-17 03:08:12 UTC
Review:
+ package builds in mock (rawhide i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
ec12f36370329e2c235284f5cb4ed427  Parallel-ForkManager-0.7.5.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test results successful output.
+ Package  perl-Parallel-ForkManager-0.7.5-1.fc9 ->
  Provides: perl(Parallel::ForkManager)
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(POSIX) perl(strict) perl(vars)

APPROVED.


Comment 2 Jason Tibbitts 2008-01-17 03:30:36 UTC
Thanks for the review!

I did my own CVS; for the record:

New Package CVS Request
=======================
Package Name: perl-Parallel-ForkManager
Short Description: Simple parallel processing fork manager
Owners: tibbs
Branches: F-7 F-8
InitialCC: perl-sig
Cvsextras Commits: yes


Comment 3 Jason Tibbitts 2008-01-18 19:31:10 UTC
Built OK on all branches.

Comment 4 Fedora Update System 2008-01-22 15:48:38 UTC
perl-Parallel-ForkManager-0.7.5-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2008-01-22 15:58:58 UTC
perl-Parallel-ForkManager-0.7.5-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.